package xyz.devleen.calculadorayoandroide;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    private EditText numero_uno;
    private EditText numero_dos;

    private TextView respuesta;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        numero_uno = findViewById(R.id.numero_uno);
        numero_dos = findViewById(R.id.numero_dos);

        respuesta = findViewById(R.id.respuesta);



    }


    public void sumar (View view){

        try {
            Integer respuestaNumero = Integer.parseInt( numero_uno.getText().toString()) + Integer.parseInt( numero_dos.getText().toString());
            respuesta.setText(respuestaNumero +"");
        }
        catch (Exception e){
            Toast.makeText(this, "Numeros no validos. Escribe dos numeros.",Toast.LENGTH_SHORT).show();
        }

    }

    public void resta (View view){

        if ( numero_uno.getText().length() <1 && numero_dos.getText().length() <1){
            Toast.makeText(this, "Numeros no validos. Escribe dos numeros.",Toast.LENGTH_SHORT).show();
        }else{
            Integer respuestaNumero = Integer.parseInt( numero_uno.getText().toString()) - Integer.parseInt( numero_dos.getText().toString());
            respuesta.setText(respuestaNumero +"");
        }

    }

    public void multiplicar (View view){
        
        try {
            Integer respuestaNumero = Integer.parseInt( numero_uno.getText().toString()) * Integer.parseInt( numero_dos.getText().toString());
            respuesta.setText(respuestaNumero +"");
        }
        catch (Exception e){
            Toast.makeText(this, "Numeros no validos. Escribe dos numeros.",Toast.LENGTH_SHORT).show();
        }
    }

    public void dividir (View view){
        try {
            Integer respuestaNumero = Integer.parseInt( numero_uno.getText().toString()) / Integer.parseInt( numero_dos.getText().toString());
            respuesta.setText(respuestaNumero +"");
        }
        catch (Exception e){
            Toast.makeText(this, "Numeros no validos. Escribe dos numeros.",Toast.LENGTH_SHORT).show();
        }
    }


}
